Package org.eclipse.jface.action

## Class StatusLineManager

- java.lang.Object
- - org.eclipse.jface.action.ContributionManager
  - - org.eclipse.jface.action.StatusLineManager

All Implemented Interfaces:
  `IContributionManager`, `IStatusLineManager`

    public class StatusLineManager
    extends ContributionManager
    implements IStatusLineManager

A status line manager is a contribution manager which realizes itself and its items in a status line control.

This class may be instantiated; it may also be subclassed if a more sophisticated layout is required.

### Field Summary

Fields
`static String` `BEGIN_GROUP` Identifier of group marker used to position contributions at the beginning of the status line.
`static String` `END_GROUP` Identifier of group marker used to position contributions at the end of the status line.
`static String` `MIDDLE_GROUP` Identifier of group marker used to position contributions in the middle of the status line.

### Constructor Summary

Constructors
`StatusLineManager()` Creates a new status line manager.

### Method Summary

All Methods Instance Methods Concrete Methods
`Control` `createControl​(Composite parent)` Creates and returns this manager's status line control.
`Control` `createControl​(Composite parent, int style)` Creates and returns this manager's status line control.
`void` `dispose()` Disposes of this status line manager and frees all allocated SWT resources.
`Control` `getControl()` Returns the control used by this StatusLineManager.
`IProgressMonitor` `getProgressMonitor()` Returns a progress monitor which reports progress in the status line.
`protected IProgressMonitor` `getProgressMonitorDelegate()` Returns the progress monitor delegate.
`boolean` `isCancelEnabled()` Returns whether the cancel button on the status line's progress monitor is enabled.
`void` `setCancelEnabled​(boolean enabled)` Sets whether the cancel button on the status line's progress monitor is enabled.
`void` `setErrorMessage​(String message)` Sets the error message text to be displayed on the status line.
`void` `setErrorMessage​(Image image, String message)` Sets the image and error message to be displayed on the status line.
`void` `setMessage​(String message)` Sets the message text to be displayed on the status line.
`void` `setMessage​(Image image, String message)` Sets the image and message to be displayed on the status line.
`void` `update​(boolean force)` Updates this manager's underlying widget(s) with any changes which have been made to it or its items.

### Methods inherited from class org.eclipse.jface.action.ContributionManager

`add, add, allowItem, appendToGroup, appendToGroup, dumpStatistics, find, getItems, getOverrides, getSize, hasDynamicItems, indexOf, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, internalSetItems, isDirty, isEmpty, itemAdded, itemRemoved, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem, setDirty, setOverrides`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll`

### Field Detail

#### BEGIN_GROUP

    public static final String BEGIN_GROUP

Identifier of group marker used to position contributions at the beginning of the status line.

Since:
  3.0
See Also:
  Constant Field Values

#### MIDDLE_GROUP

    public static final String MIDDLE_GROUP

Identifier of group marker used to position contributions in the middle of the status line.

Since:
  3.0
See Also:
  Constant Field Values

#### END_GROUP

    public static final String END_GROUP

Identifier of group marker used to position contributions at the end of the status line.

Since:
  3.0
See Also:
  Constant Field Values

### Constructor Detail

#### StatusLineManager

    public StatusLineManager()

Creates a new status line manager. Use the `createControl` method to create the status line control.

### Method Detail

#### createControl

    public Control createControl​(Composite parent)

Creates and returns this manager's status line control. Does not create a new control if one already exists.

Note: Since 3.0 the return type is `Control`. Before 3.0, the return type was the package-private class `StatusLine`.

Parameters:
  `parent` - the parent control
Returns:
  the status line control

#### createControl

    public Control createControl​(Composite parent,
                                 int style)

Creates and returns this manager's status line control. Does not create a new control if one already exists.

Parameters:
  `parent` - the parent control
  `style` - the style for the control
Returns:
  the status line control
Since:
  3.0

#### dispose

    public void dispose()

Disposes of this status line manager and frees all allocated SWT resources. Notifies all contribution items of the dispose. Note that this method does not clean up references between this status line manager and its associated contribution items. Use `removeAll` for that purpose.

#### getControl

    public Control getControl()

Returns the control used by this StatusLineManager.

Returns:
  the control used by this manager

#### getProgressMonitorDelegate

    protected IProgressMonitor getProgressMonitorDelegate()

Returns the progress monitor delegate. Override this method to provide your own object used to handle progress.

Returns:
  the IProgressMonitor delegate
Since:
  3.0

#### getProgressMonitor

    public IProgressMonitor getProgressMonitor()

Description copied from interface: `IStatusLineManager`
Returns a progress monitor which reports progress in the status line. Note that the returned progress monitor may only be accessed from the UI thread.

Specified by:
  `getProgressMonitor` in interface `IStatusLineManager`
Returns:
  the progress monitor Note: There is a delay after a beginTask message before the monitor is shown. This may not be appropriate for all apps.

#### isCancelEnabled

    public boolean isCancelEnabled()

Description copied from interface: `IStatusLineManager`
Returns whether the cancel button on the status line's progress monitor is enabled.

Specified by:
  `isCancelEnabled` in interface `IStatusLineManager`
Returns:
  `true` if the cancel button is enabled, or `false` if not

#### setCancelEnabled

    public void setCancelEnabled​(boolean enabled)

Description copied from interface: `IStatusLineManager`
Sets whether the cancel button on the status line's progress monitor is enabled.

Specified by:
  `setCancelEnabled` in interface `IStatusLineManager`
Parameters:
  `enabled` - `true` if the cancel button is enabled, or `false` if not

#### setErrorMessage

    public void setErrorMessage​(String message)

Description copied from interface: `IStatusLineManager`
Sets the error message text to be displayed on the status line. The image on the status line is cleared.

An error message overrides the current message until the error message is cleared (set to `null`).

Specified by:
  `setErrorMessage` in interface `IStatusLineManager`
Parameters:
  `message` - the error message, or `null` to clear the current error message.

#### setErrorMessage

    public void setErrorMessage​(Image image,
                                String message)

Description copied from interface: `IStatusLineManager`
Sets the image and error message to be displayed on the status line.

An error message overrides the current message until the error message is cleared (set to `null`).

Specified by:
  `setErrorMessage` in interface `IStatusLineManager`
Parameters:
  `image` - the image to use, or `null` for no image
  `message` - the error message, or `null` to clear the current error message.

#### setMessage

    public void setMessage​(String message)

Description copied from interface: `IStatusLineManager`
Sets the message text to be displayed on the status line. The image on the status line is cleared.

This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

Specified by:
  `setMessage` in interface `IStatusLineManager`
Parameters:
  `message` - the message, or `null` for no message

#### setMessage

    public void setMessage​(Image image,
                           String message)

Description copied from interface: `IStatusLineManager`
Sets the image and message to be displayed on the status line.

This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

Specified by:
  `setMessage` in interface `IStatusLineManager`
Parameters:
  `image` - the image to use, or `null` for no image
  `message` - the message, or `null` for no message

#### update

    public void update​(boolean force)

Description copied from interface: `IContributionManager`
Updates this manager's underlying widget(s) with any changes which have been made to it or its items. Normally changes to a contribution manager merely mark it as dirty, without updating the underlying widgets. This brings the underlying widgets up to date with any changes.

Specified by:
  `update` in interface `IContributionManager`
Parameters:
  `force` - `true` means update even if not dirty, and `false` for normal incremental updating